List chat messages
Get a list of messages for a specific chat.
curl --request GET \
--url https://api.useinvent.com/chats/{chat_id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/chats/{chat_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/chats/{chat_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"role": "user",
"model": "<string>",
"status": "RUNNING",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"role": "system",
"parts": [
{
"type": "text",
"text": "<string>",
"audio": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"start_ms": 1,
"end_ms": 1,
"html": true,
"json": true,
"start_timestamp": 123,
"end_timestamp": 123
}
]
}
],
"member": {
"id": "<string>",
"role": "ADMIN",
"user": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"session": {
"id": "<string>"
},
"contact_channel": {
"id": "<string>",
"type": "internal",
"user_id": "<string>",
"avatar": "<string>",
"name": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"country": "<string>",
"agent": "<string>",
"ip": "<string>",
"language": "<string>",
"contact": {
"id": "<string>",
"name": "<string>",
"blocked": true,
"unsubscribed": true,
"ai_replies": true,
"is_admin": true,
"segments": [
{
"id": "<string>",
"name": "<string>",
"color": "red",
"contacts_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"link": "<string>"
},
"agent": {
"id": "<string>",
"name": "<string>",
"icon": "<string>",
"color": "red",
"shape": "square",
"avatar_url": "<string>"
},
"seen_at": "2023-11-07T05:31:56Z"
},
"error": "<string>",
"broadcast_id": "<string>",
"is_broadcast_message": true,
"channel_type": "internal",
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"reasoning_tokens": 123,
"input_tokens_cache_read": 123,
"input_tokens_cache_write": 123,
"turns": [
{
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"reasoning_tokens": 123,
"input_tokens_cache_read": 123,
"input_tokens_cache_write": 123
}
]
},
"cost": {
"total": 123,
"base": 123,
"lines": {
"input": 123,
"output": 123,
"reasoning": 123,
"cache_read": 123,
"cache_write": 123
}
},
"delivered_at": "2023-11-07T05:31:56Z",
"reactions": [
{
"emoji": "<string>",
"member_id": "<string>"
}
]
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
Chat ID
Query Parameters
The date to start fetching messages from
Page number
Number of items to take
Next page token (Only used on special endpoints)
Response
The role of the message
user, assistant, system, tool, event, note The model used for the message
The chat status
RUNNING, COMPLETED, FAILED, CANCELED The message content
System message
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
The member of the chat
Show child attributes
Show child attributes
Error message if the message failed
ID of the broadcast this message originates from
Whether this message was sent via a broadcast template
The channel the message arrived through, if any
internal, org, agent, custom, whatsapp_bot, messenger_bot, instagram_dm, tiktok_dm, telegram_bot, slack_bot, teams_bot, gmail, outlook, twilio, telnyx, email, smpp The usage information for the message
Show child attributes
Show child attributes
The cost of a message, at the rates it is billed at
Show child attributes
Show child attributes
When the message was delivered to the recipient
Emoji reactions on the message
Show child attributes
Show child attributes
Was this page helpful?
